Bug 3465 - Hardware clock overwritten at boot time
Summary: Hardware clock overwritten at boot time
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: initscripts   
(Show other bugs)
Version: 6.0
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-06-14 19:14 UTC by rychlik
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-06-23 19:57:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description rychlik 1999-06-14 19:14:29 UTC
The script rc.sysinit writes to the hardware clock at boot
time. On a workstation which does not use the network to
set its clock, this results in incorrect system time after
every boot. Resetting the hardware clock should not be the
default in rc.sysinit! The fix is to comment out one line in
rc.sysinit. Put '#' in front of '$CLOCK --adjust'. I will
also post a patch to rc.sysinit.

Comment 1 Bill Nottingham 1999-06-23 19:57:59 UTC
the hwclock --adjust call was removed in initscripts-4.22.


Note You need to log in before you can comment on or make changes to this bug.